Bug 186693 - dns/nsd: lost mans after stagify
Summary: dns/nsd: lost mans after stagify
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-12 15:10 UTC by gd.workbox
Modified: 2014-02-22 12:50 UTC (History)
0 users

See Also:


Attachments
file.txt (1.28 KB, text/plain)
2014-02-12 15:10 UTC, gd.workbox
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gd.workbox 2014-02-12 15:10:00 UTC
*) MAN's is not installed after port was stagified
*) convert LIB_DEPENDS to new format

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-02-12 15:10:08 UTC
Maintainer of dns/nsd,

Please note that PR ports/186693 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186693

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-02-12 15:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jaap Akkerhuis 2014-02-12 21:17:47 UTC
  > 
  > Please note that PR ports/186693 has just been submitted.
  > 
  > If it contains a patch for an upgrade, an enhancement or a bug fix
  > you agree on, reply to this email stating that you approve the patch
  > and a committer will take care of it.

Yes, I approve the patch, thanks!

	jaap
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2014-02-13 07:54:24 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Pawel Pekala freebsd_committer 2014-02-22 12:24:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter service freebsd_committer 2014-02-22 12:47:33 UTC
Author: pawel
Date: Sat Feb 22 12:47:25 2014
New Revision: 345629
URL: http://svnweb.freebsd.org/changeset/ports/345629
QAT: https://qat.redports.org/buildarchive/r345629/

Log:
  - Fix man installation after port was stagified [1]
  - Convert LIB_DEPENDS to new format [1]
  - Remove leading article from COMMENT
  - Switch to options helpers
  - Conditional installation of docs is not needed with stage
  - Don't show pkg-message twice
  
  PR:		ports/186693 [1]
  Submitted by:	Denis Generalov <gd.workbox@gmail.com>
  Approved by:	maintainer

Modified:
  head/dns/nsd/Makefile
  head/dns/nsd/pkg-plist

Modified: head/dns/nsd/Makefile
==============================================================================
--- head/dns/nsd/Makefile	Sat Feb 22 12:27:20 2014	(r345628)
+++ head/dns/nsd/Makefile	Sat Feb 22 12:47:25 2014	(r345629)
@@ -3,13 +3,13 @@
 
 PORTNAME=	nsd
 PORTVERSION=	4.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	dns ipv6
 MASTER_SITES=	http://www.nlnetlabs.nl/downloads/nsd/	\
 		ftp://ftp.rhnet.is/pub/nsd/
 
 MAINTAINER=	jaap@NLnetLabs.nl
-COMMENT=	An authoritative only non-recursive name server
+COMMENT=	Authoritative only non-recursive name server
 
 LICENSE=	BSD3CLAUSE
 
@@ -40,9 +40,6 @@ SUB_LIST+=	NSDUSER=${NSDUSER} \
 
 USE_OPENSSL=	yes
 
-MAN5=		nsd.conf.5
-MAN8=		nsd.8 nsd-checkconf.8 nsd-control.8
-
 PORTDOCS=	CREDITS ChangeLog LICENSE NSD-DATABASE NSD-DIFFFILE \
 		NSD-4-features NSD-FOR-BIND-USERS README README.icc RELNOTES \
 		REQUIREMENTS TESTPLAN TODO UPGRADING coding-style \
@@ -65,57 +62,20 @@ MAXIPS_DESC=		Raise max-ips from 8 to ${
 RRL_DESC=		Response Rate Limiting
 EUI_RRTYPES_DESC=	EUI48 and EUI64 RRtypes support
 
-.include <bsd.port.options.mk>
-
-LIB_DEPENDS+=	event-1:${PORTSDIR}/devel/libevent
-
-.if ${PORT_OPTIONS:MROOT_SERVER}
-CONFIGURE_ARGS+=	--enable-root-server
-.endif
-
-.if empty(PORT_OPTIONS:MLARGEFILE)
-CONFIGURE_ARGS+=	--disable-largefile
-.endif
-
-.if empty(PORT_OPTIONS:MIPV6)
-CONFIGURE_ARGS+=	--disable-ipv6
-.endif
-
-.if ${PORT_OPTIONS:MBIND8_STATS}
-CONFIGURE_ARGS+=	--enable-bind8-stats
-.endif
-
-.if ${PORT_OPTIONS:MCHECKING}
-CONFIGURE_ARGS+=	--enable-checking
-.endif
-
-.if empty(PORT_OPTIONS:MNSEC3)
-CONFIGURE_ARGS+=	--disable-nsec3
-.endif
-
-.if empty(PORT_OPTIONS:MMINRESPSIZE)
-CONFIGURE_ARGS+=	--disable-minimal-responses
-.endif
+LIB_DEPENDS+=	libevent-1.4.so:${PORTSDIR}/devel/libevent
 
-.if empty(PORT_OPTIONS:MNSEC3PREHASH)
-CONFIGURE_ARGS+=	--disable-full-prehash
-.endif
-
-.if ${PORT_OPTIONS:MMMAP}
-CONFIGURE_ARGS+=	--enable-mmap
-.endif
-
-.if ${PORT_OPTIONS:MMAXIPS}
-CONFIGURE_ARGS+=	--with-max-ips=${NSDMAX_IPS}
-.endif
-
-.if ${PORT_OPTIONS:MRRL}
-CONFIGURE_ARGS+=	--enable-ratelimit
-.endif
-
-.if ${PORT_OPTIONS:MEUI_RRTYPES}
-CONFIGURE_ARGS+=	--enable-draft-rrtypes
-.endif
+ROOT_SERVER_CONFIGURE_ON=	--enable-root-server
+LARGEFILE_CONFIGURE_OFF=	--disable-largefile
+IPV6_CONFIGURE_OFF=		--disable-ipv6
+BIND8_STATS_CONFIGURE_ON=	--enable-bind8-stats
+CHECKING_CONFIGURE_ON=		--enable-checking
+NSEC3_CONFIGURE_OFF=		--disable-nsec3
+MINRESPSIZE_CONFIGURE_OFF=	--disable-minimal-responses
+NSEC3PREHASH_CONFIGURE_OFF=	--disable-full-prehash
+MMAP_CONFIGURE_ON=		--enable-mmap
+MAXIPS_CONFIGURE_ON=		--with-max-ips=${NSDMAX_IPS}
+RRL_CONFIGURE_ON=		--enable-ratelimit
+EUI_RRTYPES_CONFIGURE_ON=	--enable-draft-rrtypes
 
 pre-patch:
 .if defined(NSD_OPTIONS)
@@ -135,13 +95,8 @@ pre-patch:
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/nsd.conf.sample \
 		${STAGEDIR}${PREFIX}/etc/nsd/nsd.conf.sample
-.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-.for f in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/doc/${f} ${STAGEDIR}${DOCSDIR}/${f}
-.endfor
-.endif
+	(cd ${WRKSRC}/doc && ${INSTALL_DATA} ${PORTDOCS} ${STAGEDIR}${DOCSDIR})
 	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/dns/nsd/pkg-plist
==============================================================================
--- head/dns/nsd/pkg-plist	Sat Feb 22 12:27:20 2014	(r345628)
+++ head/dns/nsd/pkg-plist	Sat Feb 22 12:47:25 2014	(r345629)
@@ -1,4 +1,8 @@
 %%ETCDIR%%/nsd.conf.sample
+man/man5/nsd.conf.5.gz
+man/man8/nsd-checkconf.8.gz
+man/man8/nsd-control.8.gz
+man/man8/nsd.8.gz
 sbin/nsd
 sbin/nsd-checkconf
 sbin/nsd-control
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2014-02-22 12:47:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!